<ion-content class="main-content">
  <div class="section">

    <div class="section-header">
      <div class="section-image-wrapper"><img class="section-image" src="../../../../assets/logo-dr-who-white.png" class="icon-logo" alt="Doctor Who logo"></div>
      <h5 class="section-title">ADMINISTRAR PRODUCTOS</h5>
    </div>

    <div class="section-button-wrapper" slot="fixed">
      <div class="section-button">
        <ion-button class="button" color="warning" [routerLink]="['/adm/create-product']">
          Añadir producto
        </ion-button>
      </div>
    </div>

    <ion-list class="section-body">
        <ion-item class="adm-list-item" *ngFor="let product of products">

          <div class="adm-list-item-wrap input-list-wrap">

            <ion-label class="adm-list-info">
              <h5 class="adm-list-title">{{product.name}}</h5>
              <p slot="end" class="adm-list-subtitle">Precio: {{product.price}} €</p>
            </ion-label>

            <div class="adm-list-icons">
              <ion-button class="adm-list-icon" color="warning" (click)="deleteProduct(product.id)">
                <ion-icon name="trash"></ion-icon>
              </ion-button>
              <ion-button class="adm-list-icon" color="warning" [routerLink]="['/adm/edit-product/', product.id]">
                <ion-icon name="create"></ion-icon>
              </ion-button>
            </div>

          </div>

        </ion-item>
    </ion-list>

    <div class="section-footer">
      <img class="section-footer-image" src="../../../assets/tardis.jpg" alt="" srcset="">
    </div>

  </div>
</ion-content>